GNU bug report logs - #23507
24.3; Mac OS X proxy icon disappears when frame-title-format is set in .emacs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Christopher Crawford <christopher.b.crawford@HIDDEN>; merged with #8491; dated Tue, 10 May 2016 16:55:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 8491 23507. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 23507 <at> debbugs.gnu.org:


Received: (at 23507) by debbugs.gnu.org; 16 May 2016 21:43:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 16 17:43:14 2016
Received: from localhost ([127.0.0.1]:54488 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b2QIE-0005Ui-LP
	for submit <at> debbugs.gnu.org; Mon, 16 May 2016 17:43:14 -0400
Received: from mail-wm0-f53.google.com ([74.125.82.53]:34933)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1b2QID-0005UU-7Q
 for 23507 <at> debbugs.gnu.org; Mon, 16 May 2016 17:43:13 -0400
Received: by mail-wm0-f53.google.com with SMTP id e201so116885928wme.0
 for <23507 <at> debbugs.gnu.org>; Mon, 16 May 2016 14:43:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:in-reply-to:user-agent;
 bh=aczXGxc4dllyxs8PnLmkqm/gn9Q/M0JZZW6yzB53fEc=;
 b=c36vUq+7uPN1rjy+4ERuLe3QVaeOfJCSFJF3a01YNnKbkU502IDhV9Jxo6hHdKpXW1
 QhplZfOR1ZtDAfH1ErQSQXur7GZ6w6sD9mSnin+bMiw8i2QsZYvQm5jWnGQVAPnHKU9a
 g2sckCHIG7nvAI1/guMmlT0x7npAF9UppKvjhpMV9fpHT7LuTOwSIM/8hkCXEFE8AOjd
 Y2clDh9Zr0Q5flDqqmyoU61WMUtdHaf/OzRo2ZEy4n7KRKGwP6IuUIzEv7qUcH6wK+WJ
 8ZwhBeOcqngrrfhS34flaK+v0TpN+UH6mm8iMJ3S1M4Fwu+SvNbYIfD+ErS41Jb1S43B
 GQOg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition:in-reply-to:user-agent;
 bh=aczXGxc4dllyxs8PnLmkqm/gn9Q/M0JZZW6yzB53fEc=;
 b=Gd8mf8CgX0lUOE34rtDXavjuT1O9WPlhbKfyQTlTLTIZVm17uaKIlvd3VJo/qZSNmc
 oNqLJPKWhxAfulPSFyDkqI1MHJ8+iPuhOE4fmLrC/Bbi8Y0Jf7Wq6PiCRIgRPc+tZXev
 KdNRJLc7AIb456Pxt31wcemESPGPO983LjOR9H0QNSVJ/43+StKIozti/tEohxSNbdzU
 2mJZYNT8Y3Fyy/ixwSV0VGCVnzhyoo3sPkXyv5wGuWLSXa5MK0ZCAYcabKG1ZXOKkWFB
 WjvTavDuq7yEUbyby7DBTqo8+7PV1WzdstLhseBjft5T8drBOk9irhRyOl92oQB3etxL
 P8XA==
X-Gm-Message-State: AOPr4FVOQ8WnkVJmNr5zeUjhncSDL/KC4O/o18O5qwpdFoc+hG5UoRXL20c6Oczz1NbSmw==
X-Received: by 10.28.176.129 with SMTP id z123mr19390160wme.74.1463434987551; 
 Mon, 16 May 2016 14:43:07 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-a9e8-aae6-b4f3-11ce.holly.idiocy.org.
 [2001:8b0:3f8:8129:a9e8:aae6:b4f3:11ce])
 by smtp.gmail.com with ESMTPSA id w77sm20252139wmw.10.2016.05.16.14.43.05
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 16 May 2016 14:43:06 -0700 (PDT)
Date: Mon, 16 May 2016 22:43:04 +0100
From: Alan Third <alan@HIDDEN>
To: Christopher Crawford <christopher.b.crawford@HIDDEN>
Subject: Re: bug#23507: 24.3; Mac OS X proxy icon disappears when
 frame-title-format is set in .emacs
Message-ID: <20160516214304.GB66742@HIDDEN>
References: <676A9144-DFA4-4858-BFC7-3318C67FBF26@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <676A9144-DFA4-4858-BFC7-3318C67FBF26@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 23507
Cc: 23507 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Tue, May 10, 2016 at 09:24:22AM -0400, Christopher Crawford wrote:
> 
> Using the following one-line .emacs file:
> 
> (setq frame-title-format '("%b @ " system-name))
> 
> removes the proxy icon from the mode line when opening ~/.emacs, for example.
> After emacs is running, if I evaluate the two lines:
> 
> (setq frame-title-format t)
> (setq frame-title-format '("%b @ " system-name))
> 
> the proxy icon reappears with the rest of the title format specified.

It looks like this is just plain not supported in the NS port.
x_implicitly_set_name in nsfns.m has this bit of code:

    /* Deal with NS specific format t.  */
    if (FRAME_NS_P (f) && ((FRAME_ICONIFIED_P (f) && EQ (icon_title, Qt))
                           || EQ (frame_title, Qt)))
      ns_set_name_as_filename (f);
    else
      ns_set_name (f, arg, 0);

Where ns_set_name sets the title without the icon, and
ns_set_name_as_filename with. Note that it's comparing frame_title,
which is a C copy of frame-title-format, with true. I think that means
that if frame_title is a format string it will skip the icon.

AND the comment references "NS specific format t".

Of course, if you fiddle about with setting the variables, it does
eventually work, so I don't really understand what's going on here.

> This bug appeared some time after version 'GNU Emacs 22.3.1
> (i386-apple-darwin9.8.0, Carbon Version 1.6.0) of 2010-01-09 on
> gs674-seijiz.local'

I believe that was the Mac Port, which was replaced in the official
GNU release by the NextStep port some time ago. The Mac Port is still
under development by Yamamoto Mitsuharu, but I'm unsure of the link to
it.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23507; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 May 2016 16:54:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 12:54:59 2016
Received: from localhost ([127.0.0.1]:46104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0Avy-0002fE-7i
	for submit <at> debbugs.gnu.org; Tue, 10 May 2016 12:54:59 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46359)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christopher.b.crawford@HIDDEN>)
 id 1b07eR-0004RX-Lg
 for submit <at> debbugs.gnu.org; Tue, 10 May 2016 09:24:40 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <christopher.b.crawford@HIDDEN>)
 id 1b07eL-0004hn-37
 for submit <at> debbugs.gnu.org; Tue, 10 May 2016 09:24:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37377)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <christopher.b.crawford@HIDDEN>)
 id 1b07eK-0004gx-W5
 for submit <at> debbugs.gnu.org; Tue, 10 May 2016 09:24:33 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37319)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <christopher.b.crawford@HIDDEN>)
 id 1b07eI-0006Ad-E8
 for bug-gnu-emacs@HIDDEN; Tue, 10 May 2016 09:24:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <christopher.b.crawford@HIDDEN>)
 id 1b07eD-0004fE-V1
 for bug-gnu-emacs@HIDDEN; Tue, 10 May 2016 09:24:29 -0400
Received: from mail-ig0-x230.google.com ([2607:f8b0:4001:c05::230]:38906)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <christopher.b.crawford@HIDDEN>)
 id 1b07eD-0004f7-N8
 for bug-gnu-emacs@HIDDEN; Tue, 10 May 2016 09:24:25 -0400
Received: by mail-ig0-x230.google.com with SMTP id m9so11006534ige.1
 for <bug-gnu-emacs@HIDDEN>; Tue, 10 May 2016 06:24:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:content-transfer-encoding:subject:message-id:date:to
 :mime-version; bh=JmnaUdnMOelgS+XolGg8tf2shulPM4/mzJijQeuEmYk=;
 b=0jNoAvS92RzD6Mbe0ATWRJp3WYK/ch3e6bZWmoti2yuOczQPtnbzSm+fIjEZ7uyp4i
 7fPh6Y05oJ7AR2fuNQyEtw3aboPEUOWxgJEKRGh88NjkY5oqYIuWKZkTg7V0dGl3ITdN
 L3WrZkpM1zttmgKBV8xbYzGcwQhLxgc+9W6++NbkB+L2ccZdHMiI/oUDL4ff6xhVH8Ba
 Msl9bvM0XPQ2gkCTjeI4XBiZYZeM8FwN5lUBGybyiQy693qgKJxKwwyijyBGHQOjTedE
 veUEF/U4Nh0R3mzQc/Rv6MAT5wXx6mfMCD4Zma99FGRywRXBSkUi0+TN4EsEvaE5EmvI
 C/vQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:content-transfer-encoding:subject
 :message-id:date:to:mime-version;
 bh=JmnaUdnMOelgS+XolGg8tf2shulPM4/mzJijQeuEmYk=;
 b=LWDu3uQlIfLJrybpVRAGftd17/8E2w2FTwwtvX3+VOFJVNCdYO9zM0eMxkWCxCdQ90
 +uaclo/vCFnXFnO0TKr+fLvhN+wOcRJ5lGecs4hHzbN8uWvVnhB0mIK+CqakRaDupqZ8
 ZxA7yyNermXuDXt/ErCAY03owhjJsr79S3bo2XrYQ8QgYT46PHzNF/Eq1oO1AwiWkoIM
 T30owsfGln+2xgUUdD1u/BB24jE4yJ/JSSbCpqklpXhpPYPhxuSFOsL0JK4+E2ax7MQ7
 JEGXd3MaUkleoe8Tx8JyjrYCJ+D5mRs2VprJLndCLBZ877REz7yM/L3olldIXhDuvPO1
 urIw==
X-Gm-Message-State: AOPr4FUSqRalHapcLUlhgNSO0zcZftq7qRafhchNA2UGJeXi57PoD/ZB+gLvac/YPSMX0g==
X-Received: by 10.50.64.178 with SMTP id p18mr17099621igs.83.1462886664813;
 Tue, 10 May 2016 06:24:24 -0700 (PDT)
Received: from [10.20.182.194] ([128.163.8.202])
 by smtp.gmail.com with ESMTPSA id m65sm1055715ioa.14.2016.05.10.06.24.23
 for <bug-gnu-emacs@HIDDEN> (version=TLSv1/SSLv3 cipher=OTHER);
 Tue, 10 May 2016 06:24:23 -0700 (PDT)
From: Christopher Crawford <christopher.b.crawford@HIDDEN>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Subject: 24.3; Mac OS X proxy icon disappears when frame-title-format is set in
 .emacs
Message-Id: <676A9144-DFA4-4858-BFC7-3318C67FBF26@HIDDEN>
Date: Tue, 10 May 2016 09:24:22 -0400
To: bug-gnu-emacs@HIDDEN
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.6\))
X-Mailer: Apple Mail (2.1878.6)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 10 May 2016 12:54:57 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


Using the following one-line .emacs file:

(setq frame-title-format '("%b @ " system-name))

removes the proxy icon from the mode line when opening ~/.emacs, for =
example.
After emacs is running, if I evaluate the two lines:

(setq frame-title-format t)
(setq frame-title-format '("%b @ " system-name))

the proxy icon reappears with the rest of the title format specified.
This bug appeared some time after version 'GNU Emacs 22.3.1 =
(i386-apple-darwin9.8.0, Carbon Version 1.6.0) of 2010-01-09 on =
gs674-seijiz.local'




In GNU Emacs 24.3.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
of 2013-03-13 on bob.porkrind.org
Windowing system distributor `Apple', version 10.3.1265
Configured using:
`configure '--host=3Dx86_64-apple-darwin' '--build=3Di686-apple-darwin'
'--with-ns' 'build_alias=3Di686-apple-darwin'
'host_alias=3Dx86_64-apple-darwin' 'CC=3Dgcc -mmacosx-version-min=3D10.7
-isystem
=
/Users/david/Xcode-10.7_4.5.2/Xcode.app/Contents/Developer/Platforms/MacOS=
X.platform/Developer/SDKs/MacOSX10.7.sdk/usr/include/
=
-F/Users/david/Xcode-10.7_4.5.2/Xcode.app/Contents/Developer/Platforms/Mac=
OSX.platform/Developer/SDKs/MacOSX10.7.sdk/System/Library/Frameworks''

Important settings:
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> C-x C-f . <backspace> <backspace> ~ / .=20
e m <tab> <return> C-n C-n C-e C-x C-e C-p C-p C-x=20
C-e C-n C-n C-e C-x C-e C-a C-p C-k C-k <help-echo>=20
s-x r e C-/ M-x r e p r o t SPC <backspace> <backspace>=20
<backspace> o r t SPC e m a SPC b u SPC <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading vc-cvs...done
("%b @ " system-name)
t
("%b @ " system-name)
kill-region: The mark is not set now, so there is no region
Undo!

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils parse-time vc-cvs time-date tooltip
ediff-hook vc-hooks lisp-float-type mwheel ns-win tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment lisp-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process ns multi-tty emacs)




Acknowledgement sent to Christopher Crawford <christopher.b.crawford@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#23507; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 26 May 2016 20:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.